Skip to content

View encryption key

Request:

GET /api/v2/encrypt_keys/<key-id>.json

Example of response:

{
    "encrypt_key": {
        "key_id": "e9780258-f061-11e5-b9d7-e03f497dbdff",
        "tenant_id": "11111111-1111-1111-1111-111111111111",
        "name": "Acme 2026",
        "fingerprint": "cb874f07fe39656cf88150e569b5b9e8",
        "protection_mode": "user",
        "is_active": false,
        "public_key": "MIGfMA0GCSqGSIb3DQEBAQUAA4GNA..."
    }
}

The private key is never returned.

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The encryption key is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view encryption keys
404 Not Found Encryption key with such ID does not exist, or it is outside the access scope of the API user